@import "./base/mixins";

#header .menu {
  --header-menu-color: var(--font-color-base);

  display: none;
  left: 50%;
  min-width: 60%;
  position: relative;
  transform: translateX(-50%);

  @include media("md") {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  // Efeito underline - com exceção do primeiro menu com submenus
  > .menu-list a {
    position: relative;
    display: block;
  }

  > .menu-list li:not(.menu-item.has-submenu:first-of-type) a:not(.banner)::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0rem;
    height: 1px;
    background-color: var(--header-menu-color);
    width: 0;
    transition: var(--transition);
  }

  > .menu-list li:not(.menu-item.has-submenu:first-of-type) a:not(.banner):hover::before {
    width: 100%;
  }

  // Primeiro nível 
  > .menu-list {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    font-size: var(--font-size-small);
  }

  > .menu-list .menu-item {
    padding-top: 1rem;
    padding-bottom: 1rem;
    min-height: 4.2rem;
    display: flex;
    align-items: center;
    justify-content: center;

    &:hover .submenu {
      visibility: visible;
      opacity: 1;
      pointer-events: all;
    }

    // Menu com estilização de botão
    &.has-submenu:first-of-type .menu-title.-custom {
      display: flex;
      align-items: center;
      gap: 1rem;
      border: 1px solid var(--gray-2);
      border-radius: 0.4rem;
      transition: var(--transition);
    }

    &.has-submenu:first-of-type .menu-title.-custom::before {
      content: "☰";
      font-size: var(--font-size-base);
      font-weight: 700;
      line-height: 1;
    }

    // Menu com estilização de seta
    &.has-submenu:not(:first-of-type)::after {
      content: "";
      border: solid currentColor;
      border-width: 0 1px 1px 0;
      color: currentColor;
      display: inline-block;
      margin-left: 3px;
      margin-bottom: 3px;
      padding: 3px;
      transform: rotate(45deg) scale(0.9);
      transition: var(--transition);
      order: 1;
    }

    &.has-submenu:not(:first-of-type):hover::after {
      transform: rotate(45deg) scale(-1);
      margin-bottom: -4px;
    }

  }

  > .menu-list .menu-title {
    color: var(--menu-color, var(--header-menu-color));
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-base);
    transition: var(--transition);
    padding: 0.4rem 1.2rem;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  // Segundo nível
  > .menu-list .submenu {
    position: absolute;
    top: 98%;
    left: 50%;
    transform: translateX(-50%);
    width: 100vw;
    background-color: var(--white);
    border-top: 1px solid var(--gray-1);
    border-bottom: 1px solid var(--gray-1);
    margin-left: 0;
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    transition: var(--transition);

    > .content {
      display: flex;
      justify-content: center;
      padding: 3.2rem 5%;
      text-align: center;
    }

    > .content.-has-banners {
      justify-content: space-between;
      text-align: left;
    }

    > .content .submenu-list {
      display: flex;
      gap: 3.2rem;

      @include media("lg") { gap: 4.8rem }
    }

    > .content .submenu-title {
      font-size: var(--font-size-small);
      color: var(--header-menu-color);
      font-weight: 500;
      display: block;
      margin-bottom: 1rem;
      transition: var(--transition);
    }
  }

  // Terceiro nível
  > .menu-list .sub-submenu-item {
    font-size: var(--font-size-small);
    color: var(--gray-3);
    transition: var(--transition);
    & + .sub-submenu-item { margin-top: 1rem }
  }

  // Banners
  > .menu-list .banner-menu {
    display: none;
    width: 50%;
    gap: 1rem;

    @include media("md") { display: flex }
    @include media("lg") { gap: 2rem }

    > .banner {
      flex: 1;
      max-width: 32rem;

      &:hover img { transform: scale(1.2) }
    }

    > .banner .image::after { padding-bottom: 68% }

    > .banner .text {
      padding-top: 2rem;
      text-align: center;
      color: var(--gray-3);

      h2, h3, h4, h5, h6 {
        font-size: var(--font-size-small);
        font-weight: 500;
        color: var(--font-color-title);
        margin-bottom: 0.4rem;
      }

      p, span, strong {
        font-size: var(--font-size-small);
      }
    }
  }

}
